Subject: Re: [RFC] let mortals use ethtool

From: Jeff Garzik <[email-masked]>
Date: Thu, 28 Sep 2006 16:23:46 -0400

Stephen Hemminger wrote:
> There is no reason to not allow non-admin users to query network
> statistics and settings.

NAK.

Some functions in the past didn't like getting hit rapidly in succession.

I would agree to this, but only after an exhaustive audit of each driver 
and each sub-ioctl.  Right now, I only have confidence in GDRVINFO 
probably being safe -- but still that requires an audit, since in rare 
cases the driver may be poking firmware and eeprom areas.

Finally, I fixed a buffer overflow in ethtool version 5, so an audit to 
make sure overflows cannot affect the kernel is basically _required_.

	Jeff